skip to primary navigationskip to content
 

Python changes

Details of Python version supplied in Debian Stretch

The original operating system on the MWS, Debian 8 (Jessie), supported websites using Python 2.7.9.

In Debian 9 (Stretch) the supported version of Python is  Python 3.5.3, and the Apache WSGI module will support Python 3 by default.

To create virtual environments, you will need to use the included venv module, rather than virtualenv as in Debian 8. See Python 3.5 for details.

The recommended MariaDB/MySQL connection driver for Debian 9 (Stretch) is mysqlclient.